label {
  display: inline-block;
  margin-bottom: .5em;
}

.switch {
  position: relative;
  input[type="checkbox"] {
    width: 0;
    height: 0;
    position: absolute;

    &:checked + label {
      background-color: #1f1f1f;
    }

    &:checked + label:after {
      left: calc(100% - 5px);
      transform: translateX(-100%);
    }

  }

  label {
    width: 50px;
    height: 30px;
    display: block;
    background-color: #477a85;
    border-radius: 100px;
    position: relative;
    cursor: pointer;
    transition: 0.3s;

    &:after {
      content: "";
      width: 20px;
      height: 20px;
      background-color: #e8f5f7;
      position: absolute;
      border-radius: 70px;
      top: 5px;
      left: 5px;
      transition: 0.3s;
    }

    &:active:after {
      width: 25px;
    }
  }

}

.form-control {
  display: block;
  width: 100%;
  padding: .375rem .75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  appearance: none;
  border-radius: .25rem;
  transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.mb-3 {
  margin-bottom: 1rem;
}

.errorMessage {
  color: red;
  margin-bottom: 1em;
}

.code {
  font-weight: bold;
  letter-spacing: 1px;
  line-height: 18px;
  font-size: 12px;
}

.form-btn {
  button {
    &:last-child {
      margin: 0 .5em;
    }
  }
}
